<ol class="page-breadcrumb">
  [[> Partial:breadcrumb iri=(resolvePrefix ":Start") label="Home"]]
  [[> Partial:breadcrumb iri=(resolvePrefix ":listTypeGroups") label="TypeGroups"]]
  [[> Partial:breadcrumbViewEntity entity="LanguageGroup" urlparam="typegroupiri"]]
</ol>

[[> Partial:contentStart]]

[[> Partial:pageHeader2 param="typegroupiri" prefix="LanguageGroup: "]]

<div class="form-container">
  <semantic-form
    subject="[[urlParam 'typegroupiri']]"
    browser-persistence="false"
    persistence="ldp"
    post-action="redirect"
    fields="[[fieldDefinitions
      label='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/label1'
      members='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/typegroup_member'
      record_type='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/typegroup_record_type'
    ]]"
    >

    <bs-tab-container 
      id="typegroup-edit-form" 
      class="bs-left-vertical-tabs" 
      default-active-key='[[#if (urlParam "tab" )]][[urlParam "tab"]][[else]]description[[/if]]'
    >
      <div>
        <bs-col sm="2" >
          <bs-nav bs-style="tabs" stacked="true">

            <bs-nav-item event-key="description">
              Description
            </bs-nav-item>

            <bs-nav-item event-key="typegroup">
              Values
            </bs-nav-item>

            [[#if (hasPermission "forms:ldp:update")]]
              <bs-nav-item event-key="internal" class="hidden-field">
                Internal
              </bs-nav-item>
              <bs-nav-item event-key="delete">
                Delete
              </bs-nav-item>
            [[/if]]

          </bs-nav>
        </bs-col>
        <bs-col sm="10">

          <bs-tab-content animation="true">

            <bs-tab-pane event-key="description">
              <h3>Description</h3>

              <semantic-form-text-input for="label"></semantic-form-text-input>

            </bs-tab-pane>

            <bs-tab-pane event-key="typegroup">
              <h3>Values</h3>
  
              <semantic-form-composite-input for="members"
                new-subject-template="/{{label}}"
                fields="[[fieldDefinitions
                  label='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/label1'
                  record_type='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/typegroup_value_record_type'
                  record_type2='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/typegroup_value_record_type_lang'
                ]]"
              >
                <semantic-form-text-input for="label" languages='["en","ar-latn","ar"]'></semantic-form-text-input>
                <semantic-form-hidden-input for="record_type"></semantic-form-hidden-input>
                <semantic-form-hidden-input for="record_type2"></semantic-form-hidden-input>
              </semantic-form-composite-input>
              
            </bs-tab-pane>

            <bs-tab-pane event-key="delete">

              [[> Partial:deleteButton 
                back=(resolvePrefix ":editTypegroup")
                param="typegroupiri"
                entityType="Typegroup"
                redirect=(resolvePrefix ":listTypegroups")
              ]]

            </bs-tab-pane>

            <bs-tab-pane event-key="internal">
              <h3>Internal</h3>
              <semantic-form-text-input for="record_type"></semantic-form-text-input>

            </bs-tab-pane>

          </bs-tab-content>

          <div class="gap text-right">
            <button name="submit" class="btn btn-primary btn-md">Save</button>
            <semantic-form-recover-notification class="alert alert-info"></semantic-form-recover-notification>
            <semantic-form-errors></semantic-form-errors>
          </div>

        </bs-col>
      <div>
    </bs-tab-container>

  </semantic-form>
</div>

[[> Partial:contentEnd]]
